SuSE-SA:2003:046: sane

High Nessus Plugin ID 13814


The remote host is missing a vendor-supplied security patch


The remote host is missing the patch for the advisory SuSE-SA:2003:046 (sane).

The sane (Scanner Access Now Easy) package provides access to scanners either locally or remotely over the network.

Several bugs in sane were fixed to avoid remote denial-of-service attacks. These attacks can even be executed if the remote attacker is not allowed to access the sane server by not listing the attackers IP in the file sane.conf.
Per default saned only accepts local requests.

As a temporary workaround saned can be started via xinetd or inetd in conjunction with tcpwrapper to restrict remote access.

Please download the update package for your distribution and verify its integrity by the methods listed in section 3) of this announcement.
Then, install the package using the command 'rpm -Fhv file.rpm' to apply the update.


Plugin Details

Severity: High

ID: 13814

File Name: suse_SA_2003_046.nasl

Version: $Revision: 1.9 $

Agent: unix

Published: 2004/07/25

Modified: 2016/12/27

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

Required KB Items: Host/SuSE/rpm-list

Reference Information

CVE: CVE-2003-0773, CVE-2003-0774, CVE-2003-0775, CVE-2003-0776, CVE-2003-0777, CVE-2003-0778